Component({
  externalClasses: ['i-class'],
  properties: {
    page: {
      type: String,
      value: ''
    },
  },

  relations: {
    '../grid/index': {
      type: 'parent'
    },
    '../grid-icon/index': {
      type: 'child'
    }
  },

  data: {
    width: '33.33%'
  },
  methods: {
    toDetailPage() {
      console.log('ddd')
    },
    toDetailPage() {
      const page = this.data.page
      console.log(page)
      if (page === '') return
      wx.navigateTo({
        url: page
      })

    },
  }
});